-- Unit entries follow the historical order. UnitClass names are for reference only and may not reflect the actual UNITCLASS in the database.

DELETE FROM Unit_Flavors WHERE FlavorType = "FLAVOR_MOBILE" AND UnitType IN (SELECT Type FROM Units WHERE DefaultUnitAI = "UNITAI_SKIRMISHER");
INSERT INTO Unit_Flavors (UnitType, FlavorType, Flavor) VALUES

-- Archer
-- UNITCLASS_ARCHER 
("UNIT_ARCHER", "FLAVOR_ARCHER", 4),

("UNIT_INCAN_SLINGER", "FLAVOR_ARCHER", 7),

("UNIT_BARBARIAN_ARCHER", "FLAVOR_ARCHER", 4),

-- UNITCLASS_COMPOSITE_BOWMAN
("UNIT_COMPOSITE_BOWMAN", "FLAVOR_ARCHER", 6),

("UNIT_MAYAN_ATLATLIST", "FLAVOR_ARCHER", 9),

("UNIT_BABYLONIAN_BOWMAN", "FLAVOR_ARCHER", 9),

-- UNITCLASS_CROSSBOWMAN
("UNIT_CROSSBOWMAN", "FLAVOR_ARCHER", 8),

("UNIT_CHINESE_CHUKONU", "FLAVOR_ARCHER", 11),

("UNIT_ENGLISH_LONGBOWMAN", "FLAVOR_ARCHER", 11),

-- UNITCLASS_MUSKETMAN
("UNIT_MUSKETMAN", "FLAVOR_ARCHER", 10),

("UNIT_OTTOMAN_JANISSARY", "FLAVOR_ARCHER", 13),

("UNIT_AMERICAN_MINUTEMAN", "FLAVOR_ARCHER", 13),

-- UNITCLASS_GATLINGGUN
("UNIT_GATLINGGUN", "FLAVOR_ARCHER", 12),

-- UNITCLASS_MACHINE_GUN
("UNIT_MACHINE_GUN", "FLAVOR_ARCHER", 14),

-- infantry doesn't have a ranged pair

-- UNITCLASS_BAZOOKA
("UNIT_BAZOOKA", "FLAVOR_ARCHER", 16),

---------------------------

-- Skirmishers
-- UNITCLASS_CHARIOT_ARCHER
("UNIT_CHARIOT_ARCHER", "FLAVOR_SKIRMISHER", 4),

("UNIT_EGYPTIAN_WARCHARIOT", "FLAVOR_SKIRMISHER", 7),

("UNIT_BARBARIAN_AXMAN", "FLAVOR_SKIRMISHER", 4),

-- UNITCLASS_SKIRMISHER
("UNIT_MONGOLIAN_KESHIK", "FLAVOR_SKIRMISHER", 6),

("UNIT_HUN_HORSE_ARCHER", "FLAVOR_SKIRMISHER", 9),

-- UNITCLASS_HEAVY_SKIRMISHER
("UNIT_MOUNTED_BOWMAN", "FLAVOR_SKIRMISHER", 8),

("UNIT_ARABIAN_CAMELARCHER", "FLAVOR_SKIRMISHER", 11),

-- UNITCLASS_CUIRASSIER
("UNIT_CUIRASSIER", "FLAVOR_SKIRMISHER", 10),

("UNIT_AUSTRIAN_HUSSAR", "FLAVOR_SKIRMISHER", 13),

("UNIT_INDIAN_WARELEPHANT", "FLAVOR_SKIRMISHER", 13),

-- UNITCLASS_CAVALRY
("UNIT_CAVALRY", "FLAVOR_SKIRMISHER", 12),

("UNIT_BERBER_CAVALRY", "FLAVOR_SKIRMISHER", 15),

("UNIT_SHOSHONE_COMANCHE_RIDERS", "FLAVOR_SKIRMISHER", 15),

("UNIT_RUSSIAN_COSSACK", "FLAVOR_SKIRMISHER", 15),

-- UNITCLASS_LIGHT_TANK
("UNIT_ANTI_TANK_GUN", "FLAVOR_SKIRMISHER", 14),

-- UNITCLASS_HELICOPTER_GUNSHIP
("UNIT_HELICOPTER_GUNSHIP", "FLAVOR_SKIRMISHER", 16),

---------------------------

-- Siege 
-- UNITCLASS_CATAPULT
("UNIT_CATAPULT", "FLAVOR_SIEGE", 6),

("UNIT_ROMAN_BALLISTA", "FLAVOR_SIEGE", 9),

("UNIT_HUN_BATTERING_RAM", "FLAVOR_SIEGE", 5),

-- UNITCLASS_TREBUCHET
("UNIT_TREBUCHET", "FLAVOR_SIEGE", 8),

("UNIT_KOREAN_HWACHA", "FLAVOR_SIEGE", 11),

-- UNITCLASS_CANNON
("UNIT_CANNON", "FLAVOR_SIEGE", 10),

-- UNITCLASS_FIELD_GUN
("UNIT_FIELD_GUN", "FLAVOR_SIEGE", 12),

-- UNITCLASS_ARTILLERY
("UNIT_ARTILLERY", "FLAVOR_SIEGE", 14),

-- UNITCLASS_ROCKET_ARTILLERY
("UNIT_ROCKET_ARTILLERY", "FLAVOR_SIEGE", 16),

---------------------------

-- Naval Melee
-- UNITCLASS_TRIREME
("UNIT_TRIREME", "FLAVOR_NAVAL_MELEE", 10),

("UNIT_CARTHAGINIAN_QUINQUEREME", "FLAVOR_NAVAL_MELEE", 16),

-- UNITCLASS_CARAVEL
("UNIT_CARAVEL", "FLAVOR_NAVAL_MELEE", 14),

("UNIT_PORTUGUESE_NAU", "FLAVOR_NAVAL_MELEE", 20),

("UNIT_KOREAN_TURTLE_SHIP", "FLAVOR_NAVAL_MELEE", 15),

-- UNITCLASS_CORVETTE
("UNIT_PRIVATEER", "FLAVOR_NAVAL_MELEE", 18),

("UNIT_DUTCH_SEA_BEGGAR", "FLAVOR_NAVAL_MELEE", 24),

-- UNITCLASS_IRONCLAD
("UNIT_IRONCLAD", "FLAVOR_NAVAL_MELEE", 22),

-- UNITCLASS_DESTROYER
("UNIT_DESTROYER", "FLAVOR_NAVAL_MELEE", 26),

-- UNITCLASS_MISSILE_CRUISER
("UNIT_MISSILE_CRUISER", "FLAVOR_NAVAL_MELEE", 40),

---------------------------

-- Naval Ranged
-- UNITCLASS_DROMON
("UNIT_BYZANTINE_DROMON", "FLAVOR_NAVAL_RANGED", 12),

-- UNITCLASS_GALLEASS
("UNIT_GALLEASS", "FLAVOR_NAVAL_RANGED", 16),

("UNIT_VENETIAN_GALLEASS", "FLAVOR_NAVAL_RANGED", 22),

-- UNITCLASS_FRIGATE
("UNIT_FRIGATE", "FLAVOR_NAVAL_RANGED", 24),

("UNIT_ENGLISH_SHIPOFTHELINE", "FLAVOR_NAVAL_RANGED", 33),

-- UNITCLASS_CRUISER
("UNIT_CRUISER", "FLAVOR_NAVAL_RANGED", 32),

-- UNITCLASS_BATTLESHIP
("UNIT_BATTLESHIP", "FLAVOR_NAVAL_RANGED", 42),

---------------------------

-- Submarines & Carrier
-- UNITCLASS_SUBMARINE
("UNIT_SUBMARINE", "FLAVOR_SUBMARINE", 24),

-- UNITCLASS_NUCLEAR_SUBMARINE
("UNIT_NUCLEAR_SUBMARINE", "FLAVOR_SUBMARINE", 36),

---------------------------

-- Bombers
-- UNITCLASS_BOMBER
("UNIT_WWI_BOMBER", "FLAVOR_BOMBER", 14),

-- UNITCLASS_HEAVY_BOMBER
("UNIT_BOMBER", "FLAVOR_BOMBER", 18),

("UNIT_AMERICAN_B17", "FLAVOR_BOMBER", 25),

-- UNITCLASS_STEALTH_BOMBER
("UNIT_STEALTH_BOMBER", "FLAVOR_BOMBER", 24),

---------------------------

-- Fighters
-- UNITCLASS_TRIPLANE
("UNIT_TRIPLANE", "FLAVOR_FIGHTER", 12),

-- UNITCLASS_FIGHTER
("UNIT_FIGHTER", "FLAVOR_FIGHTER", 16),

("UNIT_JAPANESE_ZERO", "FLAVOR_FIGHTER", 21),

-- UNITCLASS_JET_FIGHTER
("UNIT_JET_FIGHTER", "FLAVOR_FIGHTER", 20);